#!/bin/sh
#
# Copyright (c) Semarchy.  All rights reserved.
#
# PRODUCT Semarchy xDI Runtime
#   
#	This script allows to execute the specified delivery
#
#	Note:
#	To have an overview of the possible parameters, use the -usage parameter
#	
#	Examples:
#	startdelivery.sh -usage
#	startdelivery.sh -name "mydeliv"
#

if [ "$XDI_RUNTIME_HOME" = "" ]; then
        XDI_RUNTIME_HOME=.
        export XDI_RUNTIME_HOME
fi

. $XDI_RUNTIME_HOME/initvariables.sh
if [ "$STAMBIA_JAVA_HOME" = "" ]; then
        if [ "$JAVA_HOME" = "" ]; then
	        java  $XDI_RUNTIME_VM_PROPERTIES $XDI_RUNTIME_STARTDELIVERY_VM_PROPERTIES -Xms$XDI_RUNTIME_INIT_MEMORY -Xmx$XDI_RUNTIME_MAX_MEMORY -Xss$XDI_RUNTIME_STACK_SIZE $XDI_RUNTIME_SYSTEM_CLASSLOADER -classpath "$XDI_RUNTIME_CLASSPATH" $SECURITY_PROPS com.indy.engine.launcher.MainLauncher -mainclass com.indy.engine.StartDelivery -conf $XDI_RUNTIME_CONF_FILE_LOCATION "$@"
        else
                "$JAVA_HOME/bin/java"  $XDI_RUNTIME_VM_PROPERTIES $XDI_RUNTIME_STARTDELIVERY_VM_PROPERTIES -Xms$XDI_RUNTIME_INIT_MEMORY -Xmx$XDI_RUNTIME_MAX_MEMORY -Xss$XDI_RUNTIME_STACK_SIZE $XDI_RUNTIME_SYSTEM_CLASSLOADER -classpath "$XDI_RUNTIME_CLASSPATH" $SECURITY_PROPS com.indy.engine.launcher.MainLauncher -mainclass com.indy.engine.StartDelivery -conf $XDI_RUNTIME_CONF_FILE_LOCATION "$@"
        fi
else
	"$STAMBIA_JAVA_HOME/bin/java"  $XDI_RUNTIME_VM_PROPERTIES $XDI_RUNTIME_STARTDELIVERY_VM_PROPERTIES -Xms$XDI_RUNTIME_INIT_MEMORY -Xmx$XDI_RUNTIME_MAX_MEMORY -Xss$XDI_RUNTIME_STACK_SIZE $XDI_RUNTIME_SYSTEM_CLASSLOADER -classpath "$XDI_RUNTIME_CLASSPATH" $SECURITY_PROPS com.indy.engine.launcher.MainLauncher -mainclass com.indy.engine.StartDelivery -conf $XDI_RUNTIME_CONF_FILE_LOCATION "$@"
fi

