echo off
REM #
REM # Copyright (c) Semarchy.  All rights reserved.
REM #
REM # PRODUCT Semarchy xDI Runtime
REM #   
REM #	This script allows to start a Runtime.
REM #
REM #	The Runtime will be started using the default configuration files and VM properties if no parameters are specified.
REM #	You can have a look at the initvariables.bat script to find these default properties if required.
REM #
REM #	Note:
REM #	To have an overview of the possible parameters, use the -usage parameter
REM #	
REM #	Examples:
REM #	startengine.bat -usage
REM #	startengine.bat -port 42000
REM #

call initvariables.bat
:START

%XDI_RUNTIME_JAVA_EXE% %XDI_RUNTIME_VM_PROPERTIES% %XDI_RUNTIME_STARTENGINE_VM_PROPERTIES% -Xms%XDI_RUNTIME_INIT_MEMORY% -Xmx%XDI_RUNTIME_MAX_MEMORY% -Xss%XDI_RUNTIME_STACK_SIZE% %XDI_RUNTIME_SYSTEM_CLASSLOADER% -classpath %XDI_RUNTIME_CLASSPATH% %SCHEDULE_PROPS% %SECURITY_PROPS% com.indy.engine.launcher.MainLauncher -mainclass com.indy.engine.EngineStartI  -conf "%XDI_RUNTIME_CONF_FILE_LOCATION%" %1 %2 %3 %4 %5

IF "%ERRORLEVEL%"=="-1111" GOTO START
exit
